View Issue Details

IDProjectCategoryView StatusLast Update
0001870Far Manager_Commonpublic2012-10-16 16:30
ReporterfibreAssigned To2useven10 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version2008 R2
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001870: при Show selected first выделение последнего элемента приводит к "прыжку" курсора на этот элемент
Descriptionдлинное описание сути, да :(
Steps To Reproduce1. включить режим Show selected first (ShiftF12)
2. кнопкой Ins начать выделять произвольные папки и файлы на панели, они "прыгают" наверх, а курсор переходит к следующему невыделенному элементу (всё ок).
3. выделить файл/папку, который(-ая) находится на панели самым последним.
4. файл выделяется, прыгает наверх, и курсор позиционируется на этом файле, хотя, по логике, должен оставаться на предпоследнем файле на панели (который становится в момент выделения последним).
Additional Informationповторяется на far 2.0.1807, 2.1.1807 bis 20 и 3.0.2190.
TagsNo tags attached.
Build2819

Activities

vskirdin

2011-09-06 11:04

administrator   bugnote:0007620

Hint: см. здесь: filelist.hpp::case KEY_INS

fibre

2011-09-06 12:33

reporter   bugnote:0007621

я пока не понял - наличие бага подтверждается? :)

2useven10

2012-09-21 13:03

developer   bugnote:0009529

2819

Issue History

Date Modified Username Field Change
2011-09-05 00:32 fibre New Issue
2011-09-06 11:04 vskirdin Note Added: 0007620
2011-09-06 12:33 fibre Note Added: 0007621
2012-09-21 13:03 2useven10 Note Added: 0009529
2012-09-21 13:03 2useven10 Assigned To => 2useven10
2012-09-21 13:03 2useven10 Status new => feedback
2012-10-16 16:30 2useven10 Build => 2819
2012-10-16 16:30 2useven10 Status feedback => closed
2012-10-16 16:30 2useven10 Resolution open => fixed
2012-10-16 16:30 2useven10 Fixed in Version => 3.0